<?php
define('EmpireCMSAdmin','1');
require('../../class/connect.php');
require('../../class/db_sql.php');
require('../../class/functions.php');
require("../../class/t_functions.php");
require "../".LoadLang("pub/fun.php");
require('../../data/dbcache/class.php');
require("../../data/dbcache/MemberLevel.php");
$link=db_connect();
$empire=new mysqlquery();
$editor=1;

/*---------- 参数设置 开始 ----------*/

//执行的数据表
$this_tb='news';

//审核方式：
/*
0为随机审核
1为按信息设置的newstime审核
2为按照数据表随机审核
3为从数据表最小id开始审核
*/
$cktype=3;

//执行时间间隔，单位：分钟，$cktype=1时有效
$jgtime=59;

//每次审核条数，$cktype不为1时有效
$this_num=1;

//信息时间时候改为当前，0为不修改，1为修改
$retime=1;

//每条信息间隔时间，单位：秒
$jgs=30;

//允许时间段，不限制则留空
//24小时制，小时两位数，分钟两位数，一组时间段用减号隔开，多个时间段用英文逗号隔开
//例如：0910-1150,1520-1709,2030-2134 表示上午、下午和晚上的三个时间段
$oktime="";

//指定栏目，$cktype=3时有效，用,隔开，如：1,2,3
$okclassid="1,2,3,4,5,6,7,8,9,10";


//另：如果使用了东坡网自动推送插件，将第192和第199行的注释符去掉，即可实现审核时自动推送

/*---------- 参数设置 结束 ----------*/

if($oktime){
	$ok=0;
	$now=intval(date("Gi"));
	$timer=explode(",",$oktime);
	$tc=count($timer);
	for($t=0;$t<$tc;$t++){
		$ttr=explode("-",$timer[$t]);
		$t1=intval($ttr[0]);
		$t2=intval($ttr[1]);
		if($now>=$t1&&$now<=$t2){
			$ok=1;
		}
	}
	if($ok==0){
		exit("no time");
	}
}

if($cktype==1){
	$k=0;
	$s1=time();
	$s0=$s1-$jgtime*60;
	$sql=$empire->query("select * from {$dbtbpre}ecms_".$this_tb."_check where newstime between ".$s0." and ".$s1." order by id ");
	while($r=$empire->fetch($sql)){
		dp_check($r,$k);
		$k+=1;
	}
	if(!$k){
		exit(date("Y-m-d H:i:s")." 本次没有需要审核的信息");
	}else{
		exit(date("Y-m-d H:i:s")." 本次审核了 ".$k." 条信息");
	}
}
elseif($cktype==2){
	$ckid=array();
	$cksql=$empire->query("select id from {$dbtbpre}ecms_".$this_tb."_check order by id");
	while($ck=$empire->fetch($cksql)){
		$ckid[]=$ck['id'];
	}
	if(empty($ckid)){
		echo 'Error 404';
		exit;
	}
	$nowid='';
	$rand=array_rand($ckid,$this_num);
	for($i=0;$i<$this_num;$i++){
		$key=$rand[$i];
		$nowid.=",".$ckid[$key];
	}

	$k=0;
	$nowid=substr($nowid,1);
	if($this_num==1){
		$nowid=$rand;
	}
	$sql=$empire->query("select * from {$dbtbpre}ecms_".$this_tb."_check where id in (".$nowid.") order by id ");
	while($r=$empire->fetch($sql)){
		dp_check($r,$k);
		$k+=1;
	}
	if(!$k){
		exit(date("Y-m-d H:i:s")." 本次没有需要审核的信息");
	}else{
		exit(date("Y-m-d H:i:s")." 本次审核了 ".$k." 条信息");
	}
}
elseif($cktype==3){
	$k=0;
	$wh=$okclassid?"where classid in (".$okclassid.")":"";
	$sql=$empire->query("select * from {$dbtbpre}ecms_".$this_tb."_check ".$wh." order by id limit  $this_num");
	while($r=$empire->fetch($sql)){
		dp_check($r,$k);
		$k+=1;
	}
	if(!$k){
		exit(date("Y-m-d H:i:s")." 本次没有需要审核的信息");
	}else{
		exit(date("Y-m-d H:i:s")." 本次审核了 ".$k." 条信息");
	}
}
else{
	//取得存在未审核信息的栏目id
	$ckcr=array();
	$cksql=$empire->query("select distinct classid from {$dbtbpre}ecms_".$this_tb."_check order by newstime");
	while($ckr=$empire->fetch($cksql)){
		$ckcr[]=$ckr['classid'];
	}
	if(empty($ckcr)){
		echo 'Error 404';
		exit;
	}
	$ncid=$ckcr[array_rand($ckcr)];
	$ids='';
	$k=0;
	$sql=$empire->query("select * from {$dbtbpre}ecms_".$this_tb."_check where classid='".$ncid."' order by id limit ".$this_num);
	while($r=$empire->fetch($sql)){
		$ids.=",".$r['id'];
		dp_check($r,$k);
		$k+=1;
	}
	echo "classid=".$ncid." / id in (".substr($ids,1).")";
	exit;
}

function dp_check($r,$k){
	global $empire,$dbtbpre,$class_r,$this_tb,$this_num,$retime,$jgs,$tlink_r;
	$time=time()+$k*$jgs;
	if($retime){
		$ress=",newstime='".$time."'";
		$r['newstime']=$time;
	}
	//索引表
	$empire->query("update {$dbtbpre}ecms_".$this_tb."_index set checked=1".$ress." where id='$r[id]'");
	if($retime){
		//主表
		$empire->query("update {$dbtbpre}ecms_".$this_tb."_check set newstime='".$time."' where id='$r[id]'");
	}
	//数据表转换
	MoveCheckInfoData($this_tb,0,$r['stb'],"id='$r[id]'");
	//栏目信息数
	AddClassInfos($r['classid'],'','+1');
	//生成信息
	GetHtml($r['classid'],$r['id'],$r,1);
	$ccr=$empire->fetch1("select classid,modid,listdt,haddlist,sametitle,addreinfo,wburl,repreinfo from {$dbtbpre}enewsclass where classid='$r[classid]' and islast=1 limit 1");
	//生成上一篇
	if($ccr['repreinfo'])
	{
		$prer=$empire->fetch1("select * from {$dbtbpre}ecms_".$this_tb." where id<$r[id] and classid='$r[classid]' order by id desc limit 1");
		GetHtml($r['classid'],$prer['id'],$prer,1);
	}
	//生成栏目
	if($ccr['haddlist'])
	{
		dp_hAddListHtml($r['classid'],$ccr['modid'],$ccr['haddlist'],$ccr['listdt']);//生成信息列表
		if($r['ttid'])//生成标题分类列表
		{
			ListHtml($r['ttid'],'',5);
		}
	}
/*
	//百度链接主动推送
	if(file_exists(ECMS_PATH.'e/dongpo/tlink/config.php')&&!$r['nots']){
		include_once ECMS_PATH.'e/dongpo/tlink/dp_funs.php';
		include_once ECMS_PATH.'e/dongpo/tlink/config.php';
		$tlink_msg=tlink_info($r['titleurl'],1,$r['classid'],$r['id']);
	}
*/
}

//生成页面
function dp_hAddListHtml($classid,$mid,$qaddlist,$listdt){
	global $class_r;
	if($qaddlist==0)//不生成
	{
		return "";
	}
	elseif($qaddlist==1)//生成当前栏目
	{
		if(!$listdt)
		{
			$sonclass="|".$classid."|";
			dp_hReClassHtml($sonclass);
		}
	}
	elseif($qaddlist==2)//生成首页
	{
		dp_hReIndex();
	}
	elseif($qaddlist==3)//生成父栏目
	{
		$featherclass=$class_r[$classid]['featherclass'];
		if($featherclass&&$featherclass!="|")
		{
			dp_hReClassHtml($featherclass);
		}
	}
	elseif($qaddlist==4)//生成当前栏目与父栏目
	{
		$featherclass=$class_r[$classid]['featherclass'];
		if(empty($featherclass))
		{
			$featherclass="|";
		}
		if(!$listdt)
		{
			$featherclass.=$classid."|";
		}
		dp_hReClassHtml($featherclass);
	}
	elseif($qaddlist==5)//生成父栏目与首页
	{
		dp_hReIndex();
		$featherclass=$class_r[$classid]['featherclass'];
		if($featherclass&&$featherclass!="|")
		{
			dp_hReClassHtml($featherclass);
		}
	}
	elseif($qaddlist==6)//生成当前栏目、父栏目与首页
	{
		dp_hReIndex();
		$featherclass=$class_r[$classid]['featherclass'];
		if(empty($featherclass))
		{
			$featherclass="|";
		}
		if(!$listdt)
		{
			$featherclass.=$classid."|";
		}
		dp_hReClassHtml($featherclass);
	}
}

//增加信息生成栏目
function dp_hReClassHtml($sonclass){
	global $empire,$dbtbpre,$class_r;
	$r=explode("|",$sonclass);
	$count=count($r);
	for($i=1;$i<$count-1;$i++)
	{
		//终极栏目
		if($class_r[$r[$i]]['islast'])
		{
			if(!$class_r[$r[$i]]['listdt'])
			{
				ListHtml($r[$i],'',0,$userlistr);
			}
		}
		elseif($class_r[$r[$i]]['islist']==1)//列表式父栏目
		{
			if(!$class_r[$r[$i]]['listdt'])
			{
				ListHtml($r[$i],'',3);
			}
		}
		elseif($class_r[$r[$i]]['islist']==3)//栏目绑定信息
		{
			ReClassBdInfo($r[$i]);
		}
		else//父栏目
		{
			$cr=$empire->fetch1("select classtempid from {$dbtbpre}enewsclass where classid='$r[$i]'");
			$classtemp=$class_r[$r[$i]]['islist']==2?GetClassText($r[$i]):GetClassTemp($cr['classtempid']);
			NewsBq($r[$i],$classtemp,0,0);
		}
	}
}

//增加信息生成首页
function dp_hReIndex(){
	$indextemp=GetIndextemp();
	NewsBq($classid,$indextemp,1,0);
}

db_close();
$empire=null;
?>